Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1807151

Description of problem:

capsule sync failed on Docker content  DKR1008: Could not find registry API at https://satellite.example:5000

(Katello::Errors::PulpError)

Version-Release number of selected component (if applicable):

satellite-capsule-6.7.0-5.beta.el7sat.noarch

pulp-docker-plugins-3.2.5-1.el7sat.noarch

python-pulp-docker-common-3.2.5-1.el7sat.noarch

How reproducible:

New installation of 6.7 Beta

Steps to Reproduce:

1. Create a product and then create a docker repo for https://registry.access.redhat.com with Docker upstream rhel

OR

Create a product and then create a docker repo for https://registry.redhat.io with Docker upstream rhel7.7

2. Sync the repo

3. On satellite it will sync properly, it errored when capsule sync start

Content Counts

Content Type

Container Image Manifests     21

Container Image Manifest Lists     7

Container Image Tags             9

Actual results:

Feb 25 22:42:44 vm pulp: urllib3.connectionpool:INFO: [65d03eb8] Starting new HTTPS connection (1): satellite.example.com

Feb 25 22:42:44 vm pulp: nectar.downloaders.threaded:ERROR: [65d03eb8] Skipping requests to satellite.example.com:5000 due to

repeated connection failures: [SSL: TLSV1_ALERT_UNKNOWN_CA] tlsv1 alert unknown ca (_ssl.c:618)

Feb 25 22:42:44 vm pulp: pulp.server.async.tasks:INFO: [65d03eb8] Task failed : [65d03eb8-5234-4bb5-b434-4c5efda9690c] :

Could not find registry API at https://satellite.example.com:5000

Feb 25 22:42:44 vm pulp: celery.app.trace:INFO: [65d03eb8] Task

pulp.server.managers.repo.sync.sync[65d03eb8-5234-4bb5-b434-4c5efda9690c] raised expected: PulpCodedException()
Feb 25 22:42:44 vm pulp: celery.app.trace:INFO: [2eb39e9f] Task

pulp.server.async.tasks._release_resource[2eb39e9f-7bb5-4ff2-b1cc-1bd93c07f800] succeeded in 0.00347492890432s: None

Expected results:

Additional info:

I have custom SSL configured on satellite and capsules.

Associated revisions

Revision 85f85fc1 - 03/06/2020 02:10 PM - Eric Helms

Fixes #29278: Use default CA for crane SSL chain

History

#1 - 03/06/2020 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/245 added

#2 - 03/06/2020 02:10 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/06/2020 03:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|85f85fc1b12c693101156559708c5a855113ff47.

#4 - 03/09/2020 05:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/246 added
